一句代码就能够禁止gutenberg(古腾堡)编辑器出现

虫子君
虫子君
虫子君
693
文章
278
评论
2018年12月8日23:36:38 2 1,272 569字阅读1分53秒

wordpress在升级了5.0版本之后,原本的编辑器,也被wordpress的团队强制捆绑到了wordpress当中。虫子君觉得那叫做一个难用,原本简单的文字编辑工作,却变得如此的复杂,所以虫子君是非常的不喜欢的,不过wordpress团队的强推,这似乎也是没有办法的事情。

不过万能的互联网,总有一些大神在背后默默的付出着,这不是,这几天,看到知更年同志,在自己的博客当中,更新了一篇文章,就是关于如何轻松的禁止gutenberg(古腾堡)编辑器使用的。

一句代码就能够禁止gutenberg(古腾堡)编辑器出现

实现起来非常的方便,仅仅是需要在主题文件当中找到“function”文件,将以下代码粘贴到最后面就行了。

add_filter('use_block_editor_for_post', '__return_false');

根据知更鸟的说法是,如果仅仅是禁止了后端的使用,不过前端还是会加载一些样式,以下是禁止前端样式加载的代码

remove_action( 'wp_enqueue_scripts', 'wp_common_block_scripts_and_styles' );

当然还有一些其他的办法,诸如利用一些插件来禁止Gutenberg的加载,但是安装一个插件总是会存在许多的其他功能,而恰巧你又不需要那些功能,那么通过自己需要的功能,代码来实现自己需要的功能,就是显得非常的不错的了。

  • 欢迎来“给我投稿”网友会因为你的帮助而感激。
  • 文章链接:https://chonzi.com/7331.html
WordPress 5.4已经更新 快下载更新 热点新闻

WordPress 5.4已经更新 快下载更新

在今天2020年4月1日WordPress官网已经正式更新了WordPress 5.4版,其中更新了许多功能,当然其中最主要的依旧是古腾堡编辑器的改进更新,新的版本古腾堡编辑器将会更加的好用易用。在功...
纯代码自定义古腾堡编辑器默认的区块 WordPress教程

纯代码自定义古腾堡编辑器默认的区块

对于WordPress新版的程序,虽然在修修补补的同时也带来了一些新的变化,其中最令人诟病的就是新版的古腾堡编辑器了,这种区块类型的编辑器,虽然看着有着非常强大的功能,但是带来数据加载量也是多出了许多...

您必须才能发表评论!

评论:2   其中:访客  1   博主  1
    • 阿佛洛狄忒 阿佛洛狄忒 1

      厉害了,我的大老爷

      • 虫子 虫子

        哈哈哈,我测试一下